petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscLogObjectMemory

Adds to an object a count of additional amount of memory that is used by the object.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogObjectMemory(PetscObject p,PetscLogDouble m)

Not collective.

### Input Parameters

| obj | - the PETSc object
| mem | - the amount of memory that is being added to the object

### Developer Notes

Currently we do not always do a good job of associating all memory allocations with an object.

### See Also

PetscFinalize(), PetscInitializeFortran(), PetscGetArgs(), PetscInitializeNoArguments()

### Level

developer

### Location

src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages